Returns the Business Names for a Business
curl --request GET \
--url https://api.creditriskmonitor.com/v1/Business/BusinessNames \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditriskmonitor.com/v1/Business/BusinessNames"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditriskmonitor.com/v1/Business/BusinessNames', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Success": true,
"Data": [
{
"Name": "<string>",
"Country": "<string>"
}
],
"ErrorCode": "<string>"
}Basics
List Business Names
Lists all registered and alternate names associated with a business entity.
GET
/
v1
/
Business
/
BusinessNames
Returns the Business Names for a Business
Use the Login endpoint to retrieve the
SessionKey, then include it in the Authorization field for authentication.Authorizations
Enter the Session Key with the Bearer prefix, e.g. "Bearer abcde12345".
Query Parameters
ID of the Business to get names for.
If you are a Trade Provider you can use your CustomerId to idenfity a Business with the CustomerId parameter.
If you have a Supplier List you can use your SupplierId to identify a Business with the SupplierId parameter.
The first row to return.
The last row to return.
Was this page helpful?